Package org.apache.lucene.search.spell

# Enum Class SuggestMode

java.lang.Object
java.lang.Enum<SuggestMode>
org.apache.lucene.search.spell.SuggestMode

All Implemented Interfaces:
  `Serializable`, `Comparable<SuggestMode>`, `Constable`

public enum SuggestMode extends Enum<SuggestMode>
Set of strategies for suggesting related terms

WARNING: This API is experimental and might change in incompatible ways in the next release.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `SUGGEST_ALWAYS`
  Always attempt to offer suggestions (however, other parameters may limit suggestions.
  `SUGGEST_MORE_POPULAR`
  Return only suggested words that are as frequent or more frequent than the searched word
  `SUGGEST_WHEN_NOT_IN_INDEX`
  Generate suggestions only for terms not in the index (default)

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static SuggestMode`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static SuggestMode[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### SUGGEST_WHEN_NOT_IN_INDEX

    public static final SuggestMode SUGGEST_WHEN_NOT_IN_INDEX
    Generate suggestions only for terms not in the index (default)

  - ### SUGGEST_MORE_POPULAR

    public static final SuggestMode SUGGEST_MORE_POPULAR
    Return only suggested words that are as frequent or more frequent than the searched word

  - ### SUGGEST_ALWAYS

    public static final SuggestMode SUGGEST_ALWAYS
    Always attempt to offer suggestions (however, other parameters may limit suggestions. For example, see `DirectSpellChecker.setMaxQueryFrequency(float)` ).

- ## Method Details

  - ### values

    public static SuggestMode[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static SuggestMode valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null